import golly as g
g.setrule("B3/S23")

MAX_GENS = 256
GEN_CHECK = 8

offset = 0
patts = open("rles.txt","r")
cols = open("colseqs.txt","r")

sols = 0
count = 0
popseq = ""
for i in range(0,GEN_CHECK):
        popseq += str(chr(33+(int(g.getpop())%64)))
        g.run(1)
g.new("Solutions")
curr_patt = patts.readline()
while curr_patt != "":
        curr_col = cols.readline()
        g.show(str(sols) + " solutions found, " + str(count) + " collisions tried. Press <x> to copy current results to clipboard. Press <esc> to quit.")          
        if popseq in curr_col:
                g.putcells(g.parse(curr_patt),offset,0)
                offset += 75
                sols += 1
        event = g.getevent()
        if event.startswith("key x"):
                g.select(g.getrect())
                g.copy()
                g.select([])
        curr_patt = patts.readline()
        count += 1

patts.close()
cols.close()




                        

